<?php


namespace App\Core\Service;

use App\Core\Repository\PropertyRoomSizeType\PropertyRoomSizeTypeRepository;
use App\Exceptions\ApiErrorException;
use Illuminate\Support\Facades\Log;

class PropertyRoomSizeTypeService
{

    private $propertyRoomSizeTypeRepository;

    public function __construct(PropertyRoomSizeTypeRepository $propertyRoomSizeTypeRepository)
    {
        $this->propertyRoomSizeTypeRepository = $propertyRoomSizeTypeRepository;
    }

    public function select($param = [], $column = ['*'])
    {

        $response = ['status' => -1, 'message' => '', 'data' => null];

        try {

            $data = $this->propertyRoomSizeTypeRepository->findByCriteria($param, $column);

            $response = [
                'status' => true,
                'data' => $data,
            ];

        } catch (ApiErrorException $e) {
            $response['message'] = $e->getMessage();
        } catch (Exception $e) {
            $message = $e->getFile() . " " . $e->getLine() . " " . $e->getMessage();
            Log::error($message);
            $response['message'] = $e->getMessage();
        }

        return output($response);
    }
}
